Subject: [PATCH] Allow programmatic preview abortion

From: Paul Nelson <[email-masked]>
Date: Sun, 28 Apr 2024 17:40:48 +0200

This patch should not affect existing behavior, but introduces a
variable that would allow (e.g.) an external package to do so.

One way for an external package to terminate an ongoing preview
generation is via (TeX-kill-job).  This approach is unreliable: if the
timing is just right, then the kill signal arrives too late.  This
patch gives a more reliable way, based on a buffer-local flag.  (The
motivation is that one might wish to avoid generating previews when
subsequent edits to the buffer make them irrelevant or misplaced.)

Thanks, best,

Paul